package com.sun.corba.se.impl.orbutil;

import java.util.ArrayList;

public class DenseIntMapImpl
{
    private ArrayList list;
    
    public DenseIntMapImpl() {
        this.list = new ArrayList();
    }
    
    private void checkKey(int n) {
        if (n < 0) {
            throw new IllegalArgumentException("Key must be >= 0.");
        }
        return;
    }
    
    public Object get(int index) {
        this.checkKey(index);
        Object value = null;
        if (index < this.list.size()) {
            value = this.list.get(index);
            return value;
        }
        return value;
    }
    
    public void set(int index, Object element) {
        this.checkKey(index);
        this.extend(index);
        this.list.set(index, element);
    }
    
    private void extend(int n) {
        if (n >= this.list.size()) {
            this.list.ensureCapacity(n + 1);
            int size = this.list.size();
            while (size++ <= n) {
                this.list.add(null);
            }
        }
    }
}
